#!/usr/bin/perl -w
########################################################################
# File:           install.pl                                           #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

$ROOTPATH = "/root/usermanager";
$BINPATH = "$ROOTPATH/bin";
$DATAPATH = "$ROOTPATH/data";
$SBINPATH = "/usr/local/sbin/mylinux";
$SETUPPATH = "$ROOTPATH/setup";

$SOURCEPATH = `dirname $0`;
chomp $SOURCEPATH;

$ID = `id -u`;
if (!($ID =~ /^0$/)) {
  die "You have to be root to run install.pl!\n";
}

if (-d $DATAPATH) {
  print "Found existing installation. Leaving data directory untouched.\n";
}
else {
  $SLAPPASSWD = `grep rootpw /etc/openldap/slapd.conf`;

  $SLAPPASSWD =~ /rootpw\s+(.*)/;
  $SLAPPASSWD = $1;
  if ($SLAPPASSWD =~ /^{[A-Z]+}/) {
    print "Password in /etc/openldap/slapd.conf is encrypted.\n"
  	. "Enter password for LDAP Administrator: ";
    $SLAPPASSWD = <STDIN>;
  }
  chomp $SLAPPASSWD;

  $CYRUSPASSWD = `grep 'CYRUSPASSWD=' $SOURCEPATH/setup/mylinux.conf`;
  $CYRUSPASSWD =~ /CYRUSPASSWD=("[^"]*(\\"[^"]*)*"|'[^']*(\\'[^']*)*'|[^ \t]*)/;
  $CYRUSPASSWD = $1;
  $CYRUSPASSWD =~ s/^"(.*)"$/$1/;
  $CYRUSPASSWD =~ s/^'(.*)'$/$1/;
  if (!$CYRUSPASSWD) {
    print "Enter password for cyrus Administrator: ";
    $CYRUSPASSWD = <STDIN>;
  }
  chomp $CYRUSPASSWD;

  $MYSQLPASSWD = `grep 'MYSQLPASSWD=' $SOURCEPATH/setup/mylinux.conf`;
  $MYSQLPASSWD =~ /MYSQLPASSWD=("[^"]*(\\"[^"]*)*"|'[^']*(\\'[^']*)*'|[^ \t]*)/;
  $MYSQLPASSWD = $1;
  $MYSQLPASSWD =~ s/^"(.*)"$/$1/;
  $MYSQLPASSWD =~ s/^'(.*)'$/$1/;
  if (!$MYSQLPASSWD) {
    print "Enter password for mySQL Administrator: ";
    $MYSQLPASSWD = <STDIN>;
  }
  chomp $MYSQLPASSWD;

  print `mkdir -m 700 $ROOTPATH`;
  print `mkdir -m 700 $BINPATH $DATAPATH $SETUPPATH`;

  print "Store passwords and counters\n";
  print `echo -n $SLAPPASSWD > $DATAPATH/slappasswd`;
  print `echo -n $CYRUSPASSWD > $DATAPATH/cyruspasswd`;
  print `echo -n $MYSQLPASSWD > $DATAPATH/mysqlpasswd`;
  print `echo 1000 > $DATAPATH/counter`;
  print `echo 1003 > $DATAPATH/gcounter`;
  print `cp $SOURCEPATH/regtemplate.reg $DATAPATH/`;

  print `chmod 600 $DATAPATH/*`;

  print `mkdir -m 700 $DATAPATH/tmp`;
}

print "Copying modules\n";

$MODPATH = $INC[length(@INC)] . "/mylinux";

if (!(-d $MODPATH)) {
  print `mkdir $MODPATH`;
}
print `cp $SOURCEPATH/*.pm $MODPATH`;

print "Copying binaries\n";

print `cp $SOURCEPATH/rootfiles/* $BINPATH`;

print `cp $SOURCEPATH/setup/* $SETUPPATH`;

if (!(-d "$SBINPATH")) {
  print `mkdir $SBINPATH`;
}

print `cp $SOURCEPATH/publicfiles/* $SBINPATH`;
