#!/bin/sh
########################################################################
# File:           setup/disks.sh                                       #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.96                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf
##############################################################
# creating fstab                                             #
##############################################################
for i in /mnt/*
do
rmdir "$i"
done
mkdir /mnt/cdrom /mnt/floppy
cat > /etc/fstab << EOF
# Begin /etc/fstab

# filesystem	mount-point	fs-type	options		dump	fsck-order

/dev/$ROOTDEV	/		$ROOTFS	defaults	1	1
/dev/$SWAPDEV	swap		swap	pri=1		0	0
proc		/proc		proc	defaults	0	0
devpts		/dev/pts	devpts	gid=4,mode=620	0	0
#usbfs		/proc/bus/usb	usbfs	defaults	0	0
# On a server only root should mount filesystems!
/dev/$CDROMDEV	/mnt/cdrom	auto	noauto,ro,exec	0	0
/dev/$FLOPPYDEV	/mnt/floppy	vfat	noauto,noexec	0	0
# Additional disks/partitions:
EOF

if [ ! x$DISK0 = x ]
then
  mkdir /mnt/$DISK0
  echo "/dev/$DISK0	/mnt/$DISK0	$DISK0FS	defaults	0	0" >> /etc/fstab
fi
if [ ! x$DISK1 = x ]
then
  mkdir /mnt/$DISK1
  echo "/dev/$DISK1	/mnt/$DISK1	$DISK1FS	defaults	0	0" >> /etc/fstab
fi
if [ ! x$DISK2 = x ]
then
  mkdir /mnt/$DISK2
  echo "/dev/$DISK2	/mnt/$DISK2	$DISK2FS	defaults	0	0" >> /etc/fstab
fi
if [ ! x$DISK3 = x ]
then
  mkdir /mnt/$DISK3
  echo "/dev/$DISK3	/mnt/$DISK3	$DISK3FS	defaults	0	0" >> /etc/fstab
fi
if [ ! x$DISK4 = x ]
then
  mkdir /mnt/$DISK4
  echo "/dev/$DISK4	/mnt/$DISK4	$DISK4FS	defaults	0	0" >> /etc/fstab
fi
if [ ! x$DISK5 = x ]
then
  mkdir /mnt/$DISK5
  echo "/dev/$DISK5	/mnt/$DISK5	$DISK5FS	defaults	0	0" >> /etc/fstab
fi
if [ ! x$DISK6 = x ]
then
  mkdir /mnt/$DISK6
  echo "/dev/$DISK6	/mnt/$DISK6	$DISK6FS	defaults	0	0" >> /etc/fstab
fi
if [ ! x$DISK7 = x ]
then
  mkdir /mnt/$DISK7
  echo "/dev/$DISK7	/mnt/$DISK7	$DISK7FS	defaults	0	0" >> /etc/fstab
fi
if [ ! x$DISK8 = x ]
then
  mkdir /mnt/$DISK8
  echo "/dev/$DISK8	/mnt/$DISK8	$DISK8FS	defaults	0	0" >> /etc/fstab
fi
if [ ! x$DISK9 = x ]
then
  mkdir /mnt/$DISK9
  echo "/dev/$DISK9	/mnt/$DISK9	$DISK9FS	defaults	0	0" >> /etc/fstab
fi

cat >> /etc/fstab << "EOF"

# End /etc/fstab
EOF

ROOTDISK=`echo $ROOTDEV | sed 's|^\([a-z]*\).*|\1|'`

cat << EOF > /etc/lilo.conf
boot    = /dev/$ROOTDISK
vga     = normal
read-only
lba32
prompt
timeout = 80

  image=/boot/scsikernel
  label=scsi
  root=/dev/$ROOTDEV

  image=/boot/oldncrkernel
  label=oldncrscsi
  root=/dev/$ROOTDEV

  image=/boot/idekernel
  label=ide
  root=/dev/$ROOTDEV
EOF
