#!/bin/sh
########################################################################
# File:           setup/ldap-db.sh                                     #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf

TOPDOMAIN=`echo $DOMAIN | sed 's/.*\.\([^.]*\)$/\1/'`
SUBDOMAIN=`echo $DOMAIN | sed 's/\(.*\)\.[^.]*$/\1/'`
##############################################################
# change server, domain, ldapbase in database                #
##############################################################
# Requires: ldap-server.sh has set the slapd.conf, and the
# ldap server is not running
slapcat > $DATAPATH/tmp/ldap_db.ldif
chmod 600 $DATAPATH/tmp/ldap_db.ldif
OLDSUBDOMAIN=`grep '^dn: *dc=[^,]*, *dc=[^,]*$' $DATAPATH/tmp/ldap_db.ldif | sed 's/dn: *dc=\([^,]*\), *dc=[^,]*/\1/'`
cat $DATAPATH/tmp/ldap_db.ldif | sed \
-e "s/, *dc=[^,]*, *dc=[^,]*$/,dc=$SUBDOMAIN,dc=$TOPDOMAIN/g" \
-e "s/dn: *dc=[^,]*, *dc=[^,]*$/dn: dc=$SUBDOMAIN,dc=$TOPDOMAIN/g" \
-e "s/sendmailMTAHost: .*$/sendmailMTAHost: $FQHOSTNAME/g" \
-e "s/mail: *\([^,]*\)@[^,]*$/mail: \1@$DOMAIN/g" \
-e "s/^dc: *$OLDSUBDOMAIN$/dc: $SUBDOMAIN/" \
> $DATAPATH/tmp/ldap_db_new.ldif
chmod 600 $DATAPATH/tmp/ldap_db_new.ldif
rm /usr/var/openldap-data/*.dbb
slapadd < $DATAPATH/tmp/ldap_db_new.ldif
slapindex
rm $DATAPATH/tmp/*.ldif
